Subject: Re: bug#7595: Infinite loop in cc-mode, or the coming of autumn

From: Chong Yidong <[email-masked]>
Date: Mon, 07 Mar 2011 15:09:21 -0500

Alan Mackenzie <[email-masked]> writes:

> First thing about Daniel's bug: it doesn't occur in the stand-alone CC
> Mode running on Emacs 23.2; this version of CC Mode contains my original
> patch from a couple of months ago.
>
> Before applying a fix to the current bug (Daniel, are you sure the
> current bug is the "same" (whatever that means) as the original bug?),
> I'd like to work out what the difference is between stand-alone CC Mode
> and the one in Emacs-23.3/..../lisp/progmodes.

OK, I see the problem.  The patch you supplied in the email was not
applied correctly to the brach.  The second hunk ended up in
c-beginning-of-statement.

So, it looks like my fault, and I'm not sure how it happened (maybe due
to the line number mismatch).  Sorry.

With this corrected in the branch, the new problem goes away.  I will
make a second release candidate with this fix.